Subject: Re: Bug with chunked files

From: AsmodeusB <[email-masked]>
Date: Mon, 1 May 2023 13:16:14 -0400

> Thanks for the report! Indeed there was a bug in nncp-reass logic for
> the last chunk:
>     badSize = uint64(fi.Size()) != metaPkt.FileSize%metaPkt.ChunkSize
>
> Fixed in 8.8.3 release.

Great!  Thank you for the quick fix, Sergey!
And also for creating this software.  Not having any UUCP background,
some things seem a bit counter-intuitive, but it looks like it has
great potential for essentially adding delay tolerance to an existing
process, which would be handy with my interests leaning more towards
intermittent and slow connectivity.

It's funny--when I used to run a USENET server, I remember looking at
the INN documentation and wondering why on earth people would want to
use a UUCP feed rather than NNTP, but I'm older and can see cases
where always-on, always-working connectivity can't/shouldn't be
assumed, even though the always-on part is often true.